Debian Bug report logs - #441200
libconfig name clash

Package: libconfig; Maintainer for libconfig is Jonathan McCrohan <jmccrohan@gmail.com>;

Reported by: Julien Danjou <acid@debian.org>

Date: Fri, 7 Sep 2007 12:30:01 UTC

Severity: minor

Tags: confirmed, etch, fixed, upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libconfig name clash
Date: Fri, 7 Sep 2007 14:32:06 +0200
[Message part 1 (text/plain, inline)]
Package: tech-ctte
Severity: normal

Hi,

The current problem is simple. I did an ITP of libconfig[1], a simple
and efficient C/C++ library for parsing configuration file.
This library is written by Mark Linder, and is well maintained.

Filling the ITP, I knew there was already libconfig in Debian. So I
asked Abraham vd Merwe <abz@debian.org> who is the current maintainer of
libconfig if he can rename or remove its package.

He responded negatively.
And I do think this package should be removed from Debian.

My arguments are the following: abz's libconfig is old, non used
(no reverse-dependencies) and has only 40 installs according to popcon[2].
Furthermore, it's packaged as a native Debian package and does not seems
to be distributed anywhere. I don't see the point to have a "personnal"
package which is not used apart from its Debian-maintainer-author in
the archive, and blocking packaging of better and maintained software.

I asked for suggestions on the debian-devel list[3], without many help
apart renaming the library, which is a mess and does not seems a very
good idea.

[1] http://bugs.debian.org/438683
[2] http://qa.debian.org/popcon.php?package=libconfig
[3] http://lists.debian.org/debian-devel/2007/08/msg00933.html

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 441200@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: Julien Danjou <acid@debian.org>
Cc: 441200@bugs.debian.org, Abraham vd Merwe <abz@debian.org>
Subject: Re: libconfig name clash
Date: Tue, 18 Sep 2007 16:12:32 +0100
Julien Danjou writes ("libconfig name clash"):
> My arguments are the following: abz's libconfig is old, non used
> (no reverse-dependencies) and has only 40 installs according to popcon[2].
> Furthermore, it's packaged as a native Debian package and does not seems
> to be distributed anywhere. I don't see the point to have a "personnal"
> package which is not used apart from its Debian-maintainer-author in
> the archive, and blocking packaging of better and maintained software.

I tend to agree with these arguments.  (Although I haven't done any
significant research to check the facts.)

I also think that in both cases it is unfortunate that such a generic
name was chosen - but this is even more so in the case of a small
personal package.  Those minority-interest packages I have included in
my own contributions to Debian have names (for the packages and the
files included) which generally aim not to clash with future uses.

In summary, it was a mistake of the original author of the Debian
libconfig not to choose a better name.  It was also a mistake of the
authors of the new upstream libconfig not to choose a better name.

On balance, I would rather subject a Debian maintainer (who ought to
know better) to the consequences of their poor choice of name, than
try to swim upstream against a larger project.

I'm very tempted to suggest a judgement of Solomon: neither package to
use the name, since it is so poorly chosen.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 441200@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 441200@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 15 Nov 2007 20:18:01 +0000
-----BEGIN PGP SIGNED MESSAGE-----

No-one else on the committee has commented on this issue at all.  Do
you have any opinions ?

Here is my draft, which I'm not proposing formally as yet:

 1. This is a dispute about who should be allowed to use the name
    `libconfig' (both as a library name as in -lconfig and in the
    package name).

 2. The existing libconfig in Debian (`the existing library') is old,
    not widely used (has no reverse dependencies) and has only 40
    installations listed in popcon.  It is packaged as a Debian-native
    package.

 3. The alternative is a newer more widely-used C++ library from an
    external author, which has existed for some time.  (`The newer
    library'.)

 4. `config' is not a very distinctive name.  Just as we do not like
    command names which are simple words or the most common
    abbreviations thereof, we do not like simple undistinctive library
    names like `libconfig'.

 5. A web search for `libconfig' gets mainly references to the newer
    library - but also some other uses of the name as private parts of
    publicly distributed projects.

 Basis for deciding

 6. There are several possible considerations which might guide us
    when resolving a name clash:

 7. The most obvious is the balance of convenience.  Which way will
    produce the least overall problems given the situation we
    currently find ourselves with ?

 8. We must in my opinion also consider whether  the name is more
    appropriate or relevant to one program or the other.

 9. However, as a decisionmaking body we should also encourage good
    practice in general .  To do otherwise would give namespace
    landgrabbers carte blance to create `facts on the ground' (as is
    sometimes said in international relations).

   (1) Good practice includes choosing a distinctive and appropriate
       name in the first place.  However in cases of a conflict the
       two groups will typically already have failed to do so.
	
    But, good practice would also often include:

   (2) Paying attention to documentation and policies which ought to
       have influenced the choice of name;

   (3) Choosing a long and unique name for what is likely to be a
       program of narrow, specialised or local interest.

   (4) Searching for existing uses of a name before committing to it.

   (5) Ensuring that one's name, once chosen, will show up in such
       searches and/or paying attention to possible future conflicts
       if feasible.

    This isn't an exhaustive list.

 10. We should in my opinion balance these three kinds of
    considerations.

 11. We are, I think, entitled to decide that neither intended user is
    entitled to the name.  We should have regard to all of the above
    factors in this case, and also the likelihood of future conflicts
    arising.

 The Current Question

 12. Hardly anyone will be inconvenienced if the existing library is
    renamed.  The maintainer will need to do a small amount of work,
    or to allow the package to be removed.  It is likely that all
    references to the existing library can be updated with a small
    investment of time and effort.

 13. We are unlikely to be able to persuade the newer library's
    upstream to rename it at this point.  As a result, insisting on it
    having a different name in Debian would cause considerable
    inconvenience to any users of the library and is likely to result
    in ongoing confusion.

 14. Renaming the newer library in Debian might benefit projects and
    sites which use the name `libconfig' for internal libraries; it is
    hard to know how many such projects there are and we might not be
    aware of any clashes.  A quick search shows that a piece of
    software called `libpqxx' renamed an internal header it called
    `libconfig.h' probably for this reason.

 12. Neither library has a particularly good claim to this name.

 13. The existing library's author has failed on many of the counts of
    good practice.  Debian policy documents discuss namespace
    conflicts in the context of command names, which while not
    directly on point ought to have alerted the library's author to
    the potential problem.  The library is extremely parochial and so
    needs an especially distinctive name.  Obviously the existing
    library came first but even a cursory web search at the time would
    probably have revealed prior private uses elsewhere which would be
    at least as interesting.  The steward of the existing library
    seems to have been largely oblivious to the problem and has not
    made a concerted effort to defend the name.

 14. The newer library's authors have also failed but not so
    seriously.  As a standalone project they do not have the benefit
    of our policy documentation to guide them away from these kind of
    problems.  Their library is intended to be of general
    applicability and interest, which mitigates the poor choice of
    name.  There is no evidence that the authors did a web search for
    the name; if they had done they would have found a few internal
    libraries and probably the existing library in Debian.

 Conclusions

 15. All of the factors - particularly the parochial nature of the
    existing library - suggest that the existing library has very
    little basis for keeping the name.

 16. Whether the newer library should be allowed to complete this 
    namespace landgrab is less clear.  Convenience would suggest yes,
    whereas propriety would suggest no.

 17. I would err on the side of propriety.

 Choice of replacement names

 18. The new name (if any) chosen by the existing library should
    ideally contain the name of the author, their site, or some
    similar parochial identifier.

 19. The new name for the newer library should include something which
    will distinguish it from other libraries suitable for
    configuration.

 20. It is necessary to ensure that the chosen new names do not
    themselves cause problems.  We would like to avoid a heavyweight
    procedure for approving the new names but have an opportunity to
    stop the use of an inappropriate name.  The proposed name
    `libconfig1' for the newer library is not appropriate.

 Decision

 21. I would therefore rule as follows:

 -8<-

    (1) The existing libconfig must be renamed or removed.
    (2) The newer library may not use the name libconfig either.
    (3) Each maintainer is invited to suggest one or more new
        name(s), within 14 days of this resolution.
    (4) If after that no member of the TC objects to a name within 7
        days (counted from the maintainer's suggestion), then the
        package is entitled to the name.
    (5) Even if a TC member objects, if the TC does not pass
        a resolution vetoing the new name within 28 days, the
        package is likewise entitled to the new name.
    (6) This applies to both packages; it applies to library
        names, filenames, package names, and the like.
    (7) Suggestions and objections are to be sent to this bug.

 -8<-

Ian.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: noconv

iQCVAwUBRzypdsMWjroj9a3bAQF5zAP/dz8QFd0NTctHm1bj24cBbeqiB+bThAN0
FK0eSQu7ggat8ePLb17Ow4EUY7n0sA5L1zGymymTS0hoL9sYxE0VPUrmeF5AAdhH
BrzDUyBJWL8AOTUA+NovUWWgPrBS+O4e5rsXd9i6BahIgKQPE65UW1HV+Yw5jhCo
GFVouzR5YEU=
=d7K0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Abraham vd Merwe <abz@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 441200@bugs.debian.org (full text, mbox):

From: Abraham vd Merwe <abz@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>
Cc: 441200@bugs.debian.org, Julien Danjou <acid@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 15 Nov 2007 22:40:14 +0200
Hi Ian                                           >@2007.11.15_22:18:01_+0200

Here's my argument(s). I'll try to keep it short:

 a) First come, first serve. I'm both the upstream author and maintainer and
    the library is used by several of my programs (some Debian packages, some
    not). I would prefer not to spend all the effort to rename just to please
    another crowd that didn't do the research to check for name clashes to begin
    with.

    I think it is definitely unfair to expect me to change the name, even if
    my version is less popular.

 b) I agree that the name is perhaps a bit generic and a more specific name
    would have been a better choice.

Because of (b) I would be [very reluctantly] willing to rename the package,
but if and only if an agreement is reach that NOBODY will ever use libconfig
as a package name.

If I must rename my package, so should the other maintainer/upstream
developer as the same rule apply to them.

If they're not willing, I'm sticking to my guns.

Please realise that I'm not trying to be difficult. I'm trying to set a
principle (and I'm lazy (: ).

> No-one else on the committee has commented on this issue at all.  Do
> you have any opinions ?
> 
> Here is my draft, which I'm not proposing formally as yet:
> 
>  1. This is a dispute about who should be allowed to use the name
>     `libconfig' (both as a library name as in -lconfig and in the
>     package name).
> 
>  2. The existing libconfig in Debian (`the existing library') is old,
>     not widely used (has no reverse dependencies) and has only 40
>     installations listed in popcon.  It is packaged as a Debian-native
>     package.
> 
>  3. The alternative is a newer more widely-used C++ library from an
>     external author, which has existed for some time.  (`The newer
>     library'.)
> 
>  4. `config' is not a very distinctive name.  Just as we do not like
>     command names which are simple words or the most common
>     abbreviations thereof, we do not like simple undistinctive library
>     names like `libconfig'.
> 
>  5. A web search for `libconfig' gets mainly references to the newer
>     library - but also some other uses of the name as private parts of
>     publicly distributed projects.
> 
>  Basis for deciding
> 
>  6. There are several possible considerations which might guide us
>     when resolving a name clash:
> 
>  7. The most obvious is the balance of convenience.  Which way will
>     produce the least overall problems given the situation we
>     currently find ourselves with ?
> 
>  8. We must in my opinion also consider whether  the name is more
>     appropriate or relevant to one program or the other.
> 
>  9. However, as a decisionmaking body we should also encourage good
>     practice in general .  To do otherwise would give namespace
>     landgrabbers carte blance to create `facts on the ground' (as is
>     sometimes said in international relations).
> 
>    (1) Good practice includes choosing a distinctive and appropriate
>        name in the first place.  However in cases of a conflict the
>        two groups will typically already have failed to do so.
> 	
>     But, good practice would also often include:
> 
>    (2) Paying attention to documentation and policies which ought to
>        have influenced the choice of name;
> 
>    (3) Choosing a long and unique name for what is likely to be a
>        program of narrow, specialised or local interest.
> 
>    (4) Searching for existing uses of a name before committing to it.
> 
>    (5) Ensuring that one's name, once chosen, will show up in such
>        searches and/or paying attention to possible future conflicts
>        if feasible.
> 
>     This isn't an exhaustive list.
> 
>  10. We should in my opinion balance these three kinds of
>     considerations.
> 
>  11. We are, I think, entitled to decide that neither intended user is
>     entitled to the name.  We should have regard to all of the above
>     factors in this case, and also the likelihood of future conflicts
>     arising.
> 
>  The Current Question
> 
>  12. Hardly anyone will be inconvenienced if the existing library is
>     renamed.  The maintainer will need to do a small amount of work,
>     or to allow the package to be removed.  It is likely that all
>     references to the existing library can be updated with a small
>     investment of time and effort.
> 
>  13. We are unlikely to be able to persuade the newer library's
>     upstream to rename it at this point.  As a result, insisting on it
>     having a different name in Debian would cause considerable
>     inconvenience to any users of the library and is likely to result
>     in ongoing confusion.
> 
>  14. Renaming the newer library in Debian might benefit projects and
>     sites which use the name `libconfig' for internal libraries; it is
>     hard to know how many such projects there are and we might not be
>     aware of any clashes.  A quick search shows that a piece of
>     software called `libpqxx' renamed an internal header it called
>     `libconfig.h' probably for this reason.
> 
>  12. Neither library has a particularly good claim to this name.
> 
>  13. The existing library's author has failed on many of the counts of
>     good practice.  Debian policy documents discuss namespace
>     conflicts in the context of command names, which while not
>     directly on point ought to have alerted the library's author to
>     the potential problem.  The library is extremely parochial and so
>     needs an especially distinctive name.  Obviously the existing
>     library came first but even a cursory web search at the time would
>     probably have revealed prior private uses elsewhere which would be
>     at least as interesting.  The steward of the existing library
>     seems to have been largely oblivious to the problem and has not
>     made a concerted effort to defend the name.
> 
>  14. The newer library's authors have also failed but not so
>     seriously.  As a standalone project they do not have the benefit
>     of our policy documentation to guide them away from these kind of
>     problems.  Their library is intended to be of general
>     applicability and interest, which mitigates the poor choice of
>     name.  There is no evidence that the authors did a web search for
>     the name; if they had done they would have found a few internal
>     libraries and probably the existing library in Debian.
> 
>  Conclusions
> 
>  15. All of the factors - particularly the parochial nature of the
>     existing library - suggest that the existing library has very
>     little basis for keeping the name.
> 
>  16. Whether the newer library should be allowed to complete this 
>     namespace landgrab is less clear.  Convenience would suggest yes,
>     whereas propriety would suggest no.
> 
>  17. I would err on the side of propriety.
> 
>  Choice of replacement names
> 
>  18. The new name (if any) chosen by the existing library should
>     ideally contain the name of the author, their site, or some
>     similar parochial identifier.
> 
>  19. The new name for the newer library should include something which
>     will distinguish it from other libraries suitable for
>     configuration.
> 
>  20. It is necessary to ensure that the chosen new names do not
>     themselves cause problems.  We would like to avoid a heavyweight
>     procedure for approving the new names but have an opportunity to
>     stop the use of an inappropriate name.  The proposed name
>     `libconfig1' for the newer library is not appropriate.
> 
>  Decision
> 
>  21. I would therefore rule as follows:
> 
>  -8<-
> 
>     (1) The existing libconfig must be renamed or removed.
>     (2) The newer library may not use the name libconfig either.
>     (3) Each maintainer is invited to suggest one or more new
>         name(s), within 14 days of this resolution.
>     (4) If after that no member of the TC objects to a name within 7
>         days (counted from the maintainer's suggestion), then the
>         package is entitled to the name.
>     (5) Even if a TC member objects, if the TC does not pass
>         a resolution vetoing the new name within 28 days, the
>         package is likewise entitled to the new name.
>     (6) This applies to both packages; it applies to library
>         names, filenames, package names, and the like.
>     (7) Suggestions and objections are to be sent to this bug.
> 
>  -8<-
> 
> Ian.
> 

-- 

Regards
 Abraham

___________________________________________________
 Abraham vd Merwe - The Debian Project
 1st Floor, Albion Springs, 183 Main Road, Newlands
 Phone: +27 21 689 3867 Cell: +27 82 565 4451
 Http: http://people.debian.org/~abz/
 Email: abz@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 441200@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>
Cc: 441200@bugs.debian.org, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 15 Nov 2007 22:07:07 +0100
[Message part 1 (text/plain, inline)]
At 1195157881 time_t, Ian Jackson wrote:
>  13. We are unlikely to be able to persuade the newer library's
>     upstream to rename it at this point.  As a result, insisting on it
>     having a different name in Debian would cause considerable
>     inconvenience to any users of the library and is likely to result
>     in ongoing confusion.

For the record, I asked him to do so and he declined.

I'd like to add that others OS (Gentoo, BSD, SuSE, ...) have a
libconfig package which is related to the so-called
"newer libconfig".

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 441200@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 441200@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Bug#441200: libconfig name clash
Date: Tue, 27 Nov 2007 21:25:02 +0000
There has been little further discussion following my last message.

I think we just need to vote on this.  Regardless of how finely
balanced the various options are, we need to make a decision.

So I hereby formally propose the set of resolutions and (unaccepted)
amendments implied by this DRAFT BALLOT:

 -8<-

  [Option D:]
    (1) The existing libconfig in Debian may retain its name.
  [Options X and N:]
    (1) The existing libconfig in Debian must be renamed or removed.

  [Option N:]
    (2) The newer library may use the name libconfig.
  [Options X and D:]
    (2) The newer library may not use the name libconfig.

  [All options:]
    (3) A maintainer who is refused the use of the name
        `libconfig' is invited to suggest one or more new
        name(s), within 14 days of this resolution.
    (4) If after that no member of the TC objects to a name within 7
        days (counted from the maintainer's suggestion), then the
        package is entitled to the name.
    (5) Even if a TC member objects, if the TC does not pass
        a resolution vetoing the new name within 28 days, the
        package is likewise entitled to the new name.
    (6) This process applies to each package rejected the use
        of the name `libconfig' by (1) and/or (2) above; it
        applies to library names, filenames, package names, and all
        similar names and identifiers.
    (7) Suggestions and objections are to be sent to this bug.

 [ ] X: neither package gets to use the name `libconfig'
 [ ] D: existing Debian package gets to keep the name `libconfig'
 [ ] N: newer C++ library gets to use `libconfig'
 [ ] F: further discussion

 -8<-

I intend to call for a vote soon after we appear to have a working
committee list.

For the avoidance of any doubt, the intent is that if (for example)
option N should win, the TC would have passed this resolution:

    (1) The existing libconfig in Debian must be renamed or removed.
    (2) The newer library may use the name libconfig.
    (3) A maintainer who is refused the use of the name
        `libconfig' is invited to suggest one or more new
        name(s), within 14 days of this resolution.
    (4) If after that no member of the TC objects to a name within 7
        days (counted from the maintainer's suggestion), then the
        package is entitled to the name.
    (5) Even if a TC member objects, if the TC does not pass
        a resolution vetoing the new name within 28 days, the
        package is likewise entitled to the new name.
    (6) This process applies to each package rejected the use
        of the name `libconfig' by (1) and/or (2) above; it
        applies to library names, filenames, package names, and all
        similar names and identifiers.
    (7) Suggestions and objections are to be sent to this bug.

I hope this is sufficiently clear and sensible.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 441200@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 441200@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Wed, 28 Nov 2007 07:11:28 +0100
* Ian Jackson (ian@davenant.greenend.org.uk) [071128 03:25]:
>   [Option D:]
>     (1) The existing libconfig in Debian may retain its name.
>   [Options X and N:]
>     (1) The existing libconfig in Debian must be renamed or removed.
> 
>   [Option N:]
>     (2) The newer library may use the name libconfig.
>   [Options X and D:]
>     (2) The newer library may not use the name libconfig.
> 
>   [All options:]
>     (3) A maintainer who is refused the use of the name
>         `libconfig' is invited to suggest one or more new
>         name(s), within 14 days of this resolution.
>     (4) If after that no member of the TC objects to a name within 7
>         days (counted from the maintainer's suggestion), then the
>         package is entitled to the name.
>     (5) Even if a TC member objects, if the TC does not pass
>         a resolution vetoing the new name within 28 days, the
>         package is likewise entitled to the new name.
>     (6) This process applies to each package rejected the use
>         of the name `libconfig' by (1) and/or (2) above; it
>         applies to library names, filenames, package names, and all
>         similar names and identifiers.
>     (7) Suggestions and objections are to be sent to this bug.

What are the reasons to also vote about a procedure for the new name,
and not leave that to the default mechanismns?


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 441200@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: debian-ctte@lists.debian.org
Cc: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Fri, 30 Nov 2007 01:02:16 +1000
[Message part 1 (text/plain, inline)]
On Tue, Nov 27, 2007 at 09:25:02PM +0000, Ian Jackson wrote:
>   [Option D:]
>     (1) The existing libconfig in Debian may retain its name.

The maintainer of that package writes:

] Here's my argument(s). I'll try to keep it short:
] 
]  a) First come, first serve. I'm both the upstream author and maintainer and
]     the library is used by several of my programs (some Debian packages, some
]     not). I would prefer not to spend all the effort to rename just to please
]     another crowd that didn't do the research to check for name clashes to
]     begin with.
] 
]     I think it is definitely unfair to expect me to change the name, even if
]     my version is less popular.
]
]  b) I agree that the name is perhaps a bit generic and a more specific name
]     would have been a better choice.

  -- http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=20;bug=441200

As far as (a) goes, first-come-first-serve is reasonable to some extent,
which is why the "git" package doesn't contain the version control system.
Userbase is relevant too though, and afaics, libconfig doesn't have one. There
are no build-depends on libconfig0-dev in unstable, nor any dependencies on
libconfig0 or libconfig0-dev in unstable.

The libconfig author (Abraham vd Merwe, abz@d.o) is also the maintainer
of libdebug (builds libdebug0 and libdebug0-dev) and libabz (builds
libabz0 and libabz0-dev). All the packages that use libabz are maintained
by Abraham, and all the packages that use libdebug also use libabz.

Both libconfig and libdebug have been unchanged since sarge's
release. libabz has been updated since sarge, but was not released with
etch due to bug 385881.

The extent of changes to libconfig since its initial inclusion in the
archive in June 2002 have been (according to the changelog):
   * Ported to library to FreeBSD.
   * Changed copyright notices to reflect my new preferred email address.
   * Updated feature wishlist.
   * Added a more descriptive description in control file (Closes: #151535)
   * Changed libconfig0-dev section.
   * Updated package dependencies.
   * Changed sections.

The changes to libdebug have been somewhat more substantial though not
massively so. libdebug was also first uploaded in June 2002. libabz
was first uploaded in November 2002 (according to the ftpmaster logs,
libconfig and libdebug were both accepted from NEW by Randall Donald;
libabz by James Troup).

AFAICS neither libdebug nor libconfig have any reason to be packaged
separately from libabz. I don't think they should have been accepted
with such generic package names in the first place.

>   [Options X and N:]
>     (1) The existing libconfig in Debian must be renamed or removed.

I'd say the libdebug0/libconfig0 binary package names should be reserved
for the existing libconfig/libdebug packages to ensure there aren't
any dependency breakages, but their source packages should definitely
be removed.

>   [Option N:]
>     (2) The newer library may use the name libconfig.
>   [Options X and D:]
>     (2) The newer library may not use the name libconfig.

I'd be inclined towards a name more like "libconfig-hyperrealm" to
avoid being unnecessarily generic, while still making it easy for people
searching for `libconfig'.

The first page of google gives the following results:

    #1 hyperrealm libconfig by Mark A. Lindner (the one under ITP)
    #2 gnuwin32 port of R. Keene's libconfig
    #3 freshmeat page for R. Keene's libconfig
    #4 homepage for R. Keene's libconfig
    #5 sourceforge page for Zhange Le (ejoy)'s libconfig, a C++ port 
       of KDE's KConfig
    #6 WAND libconfig
    #7 & #8 packages.d.o pages for libconfig-ini-perl
    #9 this thread (!)
    #10 libconfig for the Amaya web browser

Five different projects just called "libconfig" in the top ten results
seems to me to indicate "libconfig" alone isn't a distinctive enough
package name for any of them.

I don't see any way in which a more descriptive package name would
cause a problem. Actually, I see the Debian packaging included in the
upstream source already calls it "libconfigduo". Renaming the library
itself from libconfig.so.5 would be more of a problem since it'd mean
binary incompatabilities with other distros. But I don't think that's
actually an issue, as long as the libconfig packagers make sure they
don't have .so name conflicts.

>   [All options:]
>     (4) If after that no member of the TC objects to a name within 7
>         days (counted from the maintainer's suggestion), then the
>         package is entitled to the name.
>     (5) Even if a TC member objects, if the TC does not pass
>         a resolution vetoing the new name within 28 days, the
>         package is likewise entitled to the new name.

If either maintainer *wants* to use a different package name, they should
just upload it to NEW, and the technical committee shouldn't even consider
being involved unless there's an actual dispute about that name. 

I don't support the technical committee being involved unless there's
a clear lead; and even if I'd otherwise support the resolution, I'll
vote against it if it tries to expand the technical committees influence
where it's not clearly needed.

>     (6) This process applies to each package rejected the use
>         of the name `libconfig' by (1) and/or (2) above; it
>         applies to library names, filenames, package names, and all
>         similar names and identifiers.

I don't think that's useful. Conflicting functionality is
covered by policy already in general, and forbidding the use
of /usr/lib/libabz/libconfig.so as a filename or similar seems
undesirable. Rewriting the clause to be more precise doesn't seem useful
to me.

I note Abraham also wrote in the mail referenced above:

] Because of (b) I would be [very reluctantly] willing to rename the package,
] but if and only if an agreement is reach that NOBODY will ever use libconfig
] as a package name.
] 
] If I must rename my package, so should the other maintainer/upstream
] developer as the same rule apply to them.
] 
] If they're not willing, I'm sticking to my guns.
] 
] Please realise that I'm not trying to be difficult. I'm trying to set a
] principle (and I'm lazy (: ).

I found the above pretty counter-productive personally; it seems to
imply that the first person to get a package name has a moral right
to at least exclude anyone else from using it later, which seems very
proprietary and misplaced to me.

In any event, the way I currently see this is:

    (1) The existing libconfig in Debian must be renamed or removed.
    (2) The existing libdebug in Debian must be renamed or removed.

    (3) The existing libconfig and libdebug should be incorporated into
        libabz.
    (4) The proposed libconfig should be called libconfig-hyperrealm or
        similar to distinguish it from other libconfigs.

Cheers,
aj

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 441200@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 441200@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 29 Nov 2007 19:02:58 +0000
Andreas Barth writes ("Bug#441200: libconfig name clash"):
> What are the reasons to also vote about a procedure for the new name,
> and not leave that to the default mechanismns?

Well, if we say nothing at all then at least one of the two parties
has suggested they may pick the name `libconfig1'.  I don't think
that's good enough.

So we need to say something about what the new names should be or how
they should be picked.  I don't want to get into a discussion about
the particular new names now - before we've even voted on which one
has to change - because that'll just derail us.

Which leaves the possibilities of insisting that the losing side(s)
contact us for explicit approval, or of specifying some other process.
I think the TC is too cumbersome to put the resolution of this
conflict on hold more than once.  So I invented the process you see in
my draft.

Ian.




Tags added: confirmed Request was from Anthony Towns <ajt@debian.org> to control@bugs.debian.org. (Sun, 02 Dec 2007 15:18:06 GMT) Full text and rfc822 format available.

Information stored:
Bug#441200; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #52 received at 441200-quiet@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-mentors@lists.debian.org, 441200-quiet@bugs.debian.org
Subject: Re: RFS: libconfig (NMU, fixed release-goal bug)
Date: Sun, 27 Jul 2008 15:57:07 +0200
[Message part 1 (text/plain, inline)]
OoO Vers la  fin de l'après-midi du samedi 19  juillet 2008, vers 16:54,
"Eugene V. Lyubimkin" <jackyf.devel@gmail.com> disait :

> I am looking for a sponsor for the new version 0.1.5+nmu1
> of package "libconfig".

> It builds these binary packages:
> libconfig0 - Configuration file parser library
> libconfig0-dev - Development files for the config library

> The upload would fix these bugs: 484400 (bashism)

> The package can be found on mentors.debian.net:
> - URL: http://mentors.debian.net/debian/pool/main/l/libconfig
> - Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
> - dget http://mentors.debian.net/debian/pool/main/l/libconfig/libconfig_0.1.5+nmu1.dsc

> I'd be glad if someone uploaded this NMU.

> Moreover, has anyone an interest of sponsoring this package? Now it have ancient
> Standards, ancient upload, and wrongly is native package. I think I can fix most of the
> issues in 1 or 2 days.

Well, you might want to look at those bugs:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=480530
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=441200

Maybe it is  better to leave it unmaintained so that  it would be easier
to drop it. Just my opinion. Cc #441200.
-- 
I WILL NOT SHOW OFF
I WILL NOT SHOW OFF
I WILL NOT SHOW OFF
-+- Bart Simpson on chalkboard in episode 7F21
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Fri, 31 Oct 2008 15:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 31 Oct 2008 15:24:05 GMT) Full text and rfc822 format available.

Message #57 received at 441200@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>
Cc: 441200@bugs.debian.org, Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Fri, 31 Oct 2008 16:12:54 +0100
ok, I think we should try to vote on this one:

* Ian Jackson (ian@davenant.greenend.org.uk) [071127 21:25]:
> So I hereby formally propose the set of resolutions and (unaccepted)
> amendments implied by this DRAFT BALLOT:
> 
>  -8<-
> 
>   [Option D:]
>     (1) The existing libconfig in Debian may retain its name.
>   [Options X and N:]
>     (1) The existing libconfig in Debian must be renamed or removed.
> 
>   [Option N:]
>     (2) The newer library may use the name libconfig.
>   [Options X and D:]
>     (2) The newer library may not use the name libconfig.
> 
>   [All options:]
>     (3) A maintainer who is refused the use of the name
>         `libconfig' is invited to suggest one or more new
>         name(s), within 14 days of this resolution.
>     (4) If after that no member of the TC objects to a name within 7
>         days (counted from the maintainer's suggestion), then the
>         package is entitled to the name.
>     (5) Even if a TC member objects, if the TC does not pass
>         a resolution vetoing the new name within 28 days, the
>         package is likewise entitled to the new name.
>     (6) This process applies to each package rejected the use
>         of the name `libconfig' by (1) and/or (2) above; it
>         applies to library names, filenames, package names, and all
>         similar names and identifiers.
>     (7) Suggestions and objections are to be sent to this bug.
> 
>  [ ] X: neither package gets to use the name `libconfig'
>  [ ] D: existing Debian package gets to keep the name `libconfig'
>  [ ] N: newer C++ library gets to use `libconfig'
>  [ ] F: further discussion
> 
>  -8<-
> 
> I intend to call for a vote soon after we appear to have a working
> committee list.

Any reason to not call on this?



Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Wed, 21 Jan 2009 22:30:02 GMT) Full text and rfc822 format available.

Message #60 received at 441200@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: 441200@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Wed, 21 Jan 2009 23:26:51 +0100
Hi,

the old libconfig has been orphaned and removed from lenny and sid
(#499259). After that the hyperrealm libconfig has then been uploaded as
libconfig (#438683).

I don't think this bug still makes any sense due to this facts. Should
this bug be closed?


Regards
Carsten




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Thu, 22 Jan 2009 07:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 22 Jan 2009 07:48:03 GMT) Full text and rfc822 format available.

Message #65 received at 441200@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Carsten Hey <c.hey@web.de>
Cc: 441200@bugs.debian.org, Abraham vd Merwe <abz@debian.org>
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 22 Jan 2009 08:46:56 +0100
[Message part 1 (text/plain, inline)]
At 1232576811 time_t, Carsten Hey wrote:
> I don't think this bug still makes any sense due to this facts. Should
> this bug be closed?

I guess so.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Thu, 22 Jan 2009 19:27:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 22 Jan 2009 19:27:25 GMT) Full text and rfc822 format available.

Message #70 received at 441200@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 22 Jan 2009 11:26:01 -0800
Julien Danjou <acid@debian.org> writes:
> At 1232576811 time_t, Carsten Hey wrote:

>> I don't think this bug still makes any sense due to this facts. Should
>> this bug be closed?
>
> I guess so.

I concur.

For the rest of the tech-ctte, to save reading through the bug log:

* The original dispute was over the package name "libconfig", which was
  excessively generic.  There was a package by that name in Debian
  maintained by its author, and a separate package that's also packaged
  for other distributions that uses the same name.

* The Debian-specific libconfig has been orphaned and removed from lenny
  and sid.  Since then, the other libconfig has been uploaded as
  libconfig.

Given that, I think this bug is moot and can just be closed.

I don't know if we have any special procedure for this, or if I should
just go ahead and close the bug as a tech-ctte member.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Thu, 22 Jan 2009 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 22 Jan 2009 19:48:02 GMT) Full text and rfc822 format available.

Message #75 received at 441200@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 22 Jan 2009 11:45:53 -0800
On Thu, 22 Jan 2009, Russ Allbery wrote:
> For the rest of the tech-ctte, to save reading through the bug log:
> 
> * The original dispute was over the package name "libconfig", which was
>   excessively generic.  There was a package by that name in Debian
>   maintained by its author, and a separate package that's also packaged
>   for other distributions that uses the same name.
> 
> * The Debian-specific libconfig has been orphaned and removed from lenny
>   and sid.  Since then, the other libconfig has been uploaded as
>   libconfig.

I think it's still a bug that libconfig is using such a generic name,
but it's certainly one that can be made severity minor, tagged
upstream, and possibly wontfix'ed. Whatever the case, I don't think
the ctte needs to be involved until there is a real conflict here.

If there aren't any objections,[1] lets reassign this bug back to
src:libconfig while retitling and changing the severity to indicate
the problem.


Don Armstrong

1: Say in the next 48 hours? [People can always reassign it back]
-- 
"There's no problem so large it can't be solved by killing the user
off, deleting their files, closing their account and reporting their
REAL earnings to the IRS."
 -- The B.O.F.H..

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Thu, 22 Jan 2009 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 22 Jan 2009 20:48:04 GMT) Full text and rfc822 format available.

Message #80 received at 441200@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 22 Jan 2009 12:47:01 -0800
Don Armstrong <don@debian.org> writes:

> If there aren't any objections,[1] lets reassign this bug back to
> src:libconfig while retitling and changing the severity to indicate the
> problem.

Sounds good to me.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Thu, 22 Jan 2009 21:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 22 Jan 2009 21:09:02 GMT) Full text and rfc822 format available.

Message #85 received at 441200@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Thu, 22 Jan 2009 13:05:36 -0800
On Thu, Jan 22, 2009 at 11:45:53AM -0800, Don Armstrong wrote:
> I think it's still a bug that libconfig is using such a generic name,
> but it's certainly one that can be made severity minor, tagged
> upstream, and possibly wontfix'ed. Whatever the case, I don't think
> the ctte needs to be involved until there is a real conflict here.

> If there aren't any objections,[1] lets reassign this bug back to
> src:libconfig while retitling and changing the severity to indicate
> the problem.

> 1: Say in the next 48 hours? [People can always reassign it back]

Agreed (though I don't see the need to wait 48 hours). :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#441200; Package tech-ctte. (Mon, 26 Jan 2009 07:36:04 GMT) Full text and rfc822 format available.

Message #88 received at 441200@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 441200@bugs.debian.org
Subject: Re: Bug#441200: libconfig name clash
Date: Sun, 25 Jan 2009 23:29:30 -0800
# it's libconfig's problem now
reassign 441200 src:libconfig
severity 441200 minor
tag 441200 upstream
thanks


On Thu, 22 Jan 2009, Don Armstrong wrote:
> If there aren't any objections,[1] lets reassign this bug back to
> src:libconfig while retitling and changing the severity to indicate
> the problem.

No objections, so bringing this about.


Don Armstrong

-- 
Our days are precious, but we gladly see them going
If in their place we find a thing more precious growing
A rare, exotic plant, our gardener's heart delighting
A child whom we are teaching, a booklet we are writing
 -- Frederick Rükert _Wisdom of the Brahmans_ 
 [Hermann Hesse _Glass Bead Game_]

http://www.donarmstrong.com              http://rzlab.ucr.edu




Bug reassigned from package `tech-ctte' to `src:libconfig'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 07:36:09 GMT) Full text and rfc822 format available.

Severity set to `minor' from `normal' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 07:36:10 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 07:36:10 GMT) Full text and rfc822 format available.

Bug reassigned from package `src:libconfig' to `src:libconfig'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 17:51:02 GMT) Full text and rfc822 format available.

Severity set to `minor' from `minor' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 17:51:03 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 17:51:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `src:libconfig' to `libconfig'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 11 May 2009 17:03:08 GMT) Full text and rfc822 format available.

Added tag(s) etch and fixed. Request was from José Luis Tallón <jltallon@adv-solutions.net> to control@bugs.debian.org. (Wed, 02 Dec 2009 16:36:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:19:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.